*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


.top-navbar{
    width: 100%;
    height: 7vh;
    background-image: linear-gradient(grey, lightgrey);
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: space-between;
}
.top-icons{
    margin-left: 45px;
}
.top-icons i{
    font-size: 20px;
    cursor: pointer;
    color: black;
    margin-left: 10px;
}
.other-links{
    margin-right: 40px;
}
.other-links i{
    color: black;
    margin-left: 10px;
    font-size: 20px;
}
#btn-login{
    width: 100px;
    border: 2px solid #1c1c50;
    color: white;
    font-weight: bold;
    border-radius: 5px;
    height: 5vh;
    transition: 0.5s ease;
    cursor: pointer;
}
#btn-login a{
    text-decoration: none;
    color: #1c1c50;
    transition: 0.5s ease;
}
#btn-login a:hover{
    background-color:#1c1c50;
    color: white;
}
#btn-login:hover{
    background-color: #1c1c50;
    color: white;
}
#btn-signup{
    width: 100px;
    border: 2px solid #1c1c50;
    color: #1c1c50;
    font-weight: bold;
    border-radius: 5px;
    height: 5vh;
    transition: 0.5s ease;
    cursor: pointer;
}
#btn-signup a{
    text-decoration: none;
    color: #1c1c50;
    transition: 0.5s ease;
}
#btn-signup a:hover{
    background-color: #1c1c50;
    color: white;
}
#btn-signup:hover{
    background-color: #1c1c50;
    color: white;
}
@media screen and (max-width:500px){
    .top-icons{
        margin-left: 30px;
    }
    .top-icons i{
        font-size: 15px;
    }
    .other-links i{
        font-size: 15px;
    }
    #btn-login{
        width: 60px;
        height: 5vh;
    }
    #btn-signup{
        width: 70px;
        height: 5vh;
    }
}    
@media screen and (max-width:350px){
    .top-icons{
        margin-left: 10px;
    }
    .top-icons i{
        font-size: 10px;
    }
    .other-links{
        margin-right: 10px;
    }
    .other-links i{
        font-size: 10px;
    }
    #btn-login{
        width: 50px;
        height: 5vh;
        font-size: 13px;
    }
    #btn-signup{
        width: 60px;
        height: 5vh;
        font-size: 13px;
    }
}
@media screen and (max-width:350px){
    .top-icons{
        margin-left: 5px;
    }
    .top-icons i{
        font-size: 12px;
    }
    .other-links{
        margin-right: 10px;
    }
    .other-links i{
        font-size: 12px;
    }
    #btn-login{
        width: 40px;
        height: 5vh;
        font-size: 10px;
    }
    #btn-signup{
        width: 50px;
        height: 5vh;
        font-size: 10px;
    }
}

.home-section{
    width: 100%;
    height: 10vh;
    background-color: #a9a9a926;
    
}

#navbar{
    background-image: linear-gradient(grey, black);
    font-size: 16px;
    font-family: 'Roboto Slab', serif;
    
    
}
#navbar .nav-link{
    color: gold;
    font-weight: bold;
    margin-left: 5px;
    transition: 0.5s ease;
    
}
#navbar .nav-link:hover{
    color: black;
    border-radius: 5px;
}
.dropdown li a{
    color: black;
    background-color: white;
    
}
#search-btn{
    
    border:  1px solid  white ;
}
#search-btn:hover{
    background-color: whitesmoke;
}

.home{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-content: center;
    height: 100vh;
    position: relative;
    z-index: 0;
    font-family: 'Roboto Slab', serif;
    
    background-image: url(https://do84cgvgcm805.cloudfront.net/article/585/1200/e2517ddf9da9da6c759704f24162a0fbbe5145e792fd61ee7278902dfb173338.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.home .img{
    flex: 1 1 400px;
}
.home .img img{
    width: 100%;
}
.home .content{
    flex: 1 1 400px;
    margin-top: 30px;
}
.content h3{
    margin-left: 70px;
    font-size: 50px;
    text-shadow: 1px 1px 1px black;
    color: yellow;
    font-weight: bold;
}
.content h3 span{
    font-size: 40px;
}
.content p{
    margin-left: 70px;
    text-shadow: 1px 1px 1px black;
    color: yellow;
    font-size: 18px;
}
.content #shopnow{
    margin-left: 70px;
    width: 200px;
    height: 38px;
    border: 2px solid black;
    font-weight: bold;
    transition: 0.5s ease;
    background-color: darkgoldenrod;
    cursor: pointer;
}
.content #shopnow:hover{
    background-color: grey;
    color: white;
}
@media screen and (max-width:800px){
    .content h3{
        margin-left: 50px;
        font-size: 40px;
    }
    .content p{
        margin-left: 50px;
    }
    .content #shopnow{
        margin-left: 50px;
    }
}
@media screen and (max-width:570px){
    .content h3{
        margin-left: 20px;
    }
    .content p{
        margin-left: 20px;
    }
    .content #shopnow{
        margin-left: 20px;
    }
}
@media screen and (max-width:799px){
    .home-section{
        height: 150vh;
    }
}
@media screen and (max-width:550px){
    .home-section{
        height: 100vh;
    }
}


body{
    background-image: url(https://wallpapers.com/images/featured/hq7a00zheiibyvf0.jpg);
}

#top-cards{
    margin-top: 30px;
    font-family: 'Roboto Slab', serif;
    box-shadow: inset -2px 2px 2px white;
}
#top-cards .card img{
    height: 60vh;
}
#top-cards h5{
    color: black;
    font-weight: bold;
}
#top-cards button{
    width: 150px;
    height: 33px;
    font-weight: bold;
    letter-spacing: 3px;
    background: transparent;
    color: gold;
    border: 2px solid black;
    transition: 0.5s ease;
    cursor: pointer;
}
#top-cards button:hover{
    background-color: gray;
    color: white;
}

.banner{
    width: 100%;
    height: 50vh;
    margin-top: 50px;
    background-image: linear-gradient(to right, black, goldenrod);
}
.banner .content{
    text-align: center;
    padding-top: 100px;

}
.banner .content h1{
    color: goldenrod;
    text-shadow: 1px 1px 1px black;
    letter-spacing: 3px;
}
.banner .content p{
    color: goldenrod;
    text-shadow: 1px 1px 1px black;
    letter-spacing: 3px;
}
#bannerbtn button{
    width: 150px;
    height: 38px;
    background: transparent;
    color: goldenrod;
    border: 2px solid gold;
    transition: 0.5s ease;
    cursor: pointer;
}
#bannerbtn button:hover{
    background-color: black;
    border: none;
}

.banner2{
    width: 100%;
    height: 50vh;
    margin-top: 50px;
    background-image: linear-gradient(to right, black, goldenrod);
}
.banner2 .content2{
    text-align: center;
    padding-top: 100px;
}
.banner2 .content2 h1{
    color: goldenrod;
    text-shadow: 1px 1px 1px black;
    letter-spacing: 3px;
}
.banner2 .content2 p{
    color: goldenrod;
    text-shadow: 1px 1px 1px black;
    letter-spacing: 3px;
}
#bannerbtn2 button{
    width: 150px;
    height: 38px;
    background: transparent;
    color: goldenrod;
    border: 2px solid gold;
    transition: 0.5s ease;
    cursor: pointer;
}
#bannerbtn2 button:hover{
    background-color: black;
    border: none;
}


#product-cards{
    font-family: 'Roboto Slab', serif;
    margin-top: 100px;
    
}
#product-cards .card{
    box-shadow: inset -2px 2px 2px white;
    background: rgba(0, 0, 0, 0.5);
}
#product-cards h1{
    margin-top: 30px;
    color: goldenrod;
    font-style: italic;
    text-decoration: underline;
    text-shadow: 1px 1px 1px black;
}
#product-cards p{
    color: gold;
}
#product-cards h5{
    color: gold;
}
#product-cards h3{
    letter-spacing: 3px;
    color:goldenrod;
    text-shadow: 0px 1px 1px black;
    font-weight: bold;
}
#product-cards h5 span{
    float: right;
    color: gold;
    cursor: pointer;
}
.checked{
    color: rgb(255, 187, 0);
}
#viewmorebtn{
    display: flex;
    justify-content: center;
    margin: auto;
    text-decoration: none;
    margin-top: 30px;
    width: 200px;
    height: 32px;
    color: goldenrod;
    letter-spacing: 5px;
    font-weight: bold;
    background: transparent;
    border: 2px solid gold;
    transition: 0.5s ease;
}
#viewmorebtn:hover{
    background-color: gray;
    color: white;
}


#offer{
    margin-top: 50px;
}
#offer i{
    font-size: 60px;
    color: goldenrod;
}
#offer h5{
    color: gold;
}
#offer p{
    color: gold;
}


#footer{
    padding: 0 0 30px 0;
    color: black;
    font-size: 14px;
    background-image: linear-gradient(black, goldenrod);
    font-family: 'Roboto Slab', serif;
}
#footer .footer-top{
    padding: 60px 0 30px;
    background-image: linear-gradient(black, goldenrod);
    color: gold;
}
#footer .footer-top .footer-contact h3{
    color: gold;
    text-shadow: 1px 1px 1px black;
}
#footer .footer-top .footer-contact h4{
    font-size: 22px;
    margin:  0 0 300px 0;
    padding: 2px 0 2px 0;
    line-height: 1;
    font-weight: 700;
}
#footer .footer-top .footer-contact p{
    font-size: 14px;
    margin: 0;
    color: gold;
    line-height: 1;
    font-weight: 700;
}
#footer .footer-top h4{
    font-size: 16px;
    font-weight: bold;
    position: relative;
    padding-bottom: 12px;
}
#footer .footer-top .footer-links{
    margin-bottom: 30px;
    color: gold;
}
#footer .footer-top .footer-links ul{
    list-style: none;
    padding: 0;
    margin: 0;

}
#footer .footer-top .footer-links ul li{
    padding-right: 10px 0;
    display: flex;
    align-items: center;
    color: gold;
}
#footer .footer-top .footer-links ul li:first-child{
    padding: 0;
}
#footer .footer-top .footer-links ul li a{
    color: gold;
    line-height: 2;
}
#footer .footer-top .socail-links a{
    font-size: 18px;
    display: inline-block;
    color: gold;
    line-height: 1;
    padding-right: 4px;
    border-radius: 50px;
    text-align: center;
    width: 36px;
    height: 36px;
    transition: 0.5s ease;
}
#footer .copyright{
    text-align: center;
    float: left; 
}
#footer .credits{
    float: right;
    text-align: center;
}

#about{
    margin-top: 50px;
}
#about h1{
    text-align: center;    
    font-weight: bold;
    color: goldenrod;
}


#contact{
    margin-top: 50px;
}
#contact h1{
    color: gold;
    text-shadow: 0px 0px 1px black;
}
#contact .card{
    height: 80px;
    margin-top: 20px;
    box-shadow: rgba(100,100,111,0.2) 0px 7px 29px 0px;
    background: none;
}
#contact .card i{
    margin-top: 10px;
    margin-left: 10px;
    font-size: 15px;
    color: goldenrod;
    font-weight: bold;
    letter-spacing: 3px;
    
}
#contact .card h6{
    margin-left: 10px;
    margin-top: 10px;
    letter-spacing: 3px;
    font-weight: bold;
    color: goldenrod;
}#messagebtn button{
    margin-top: 30px;
    width: 200px;
    height: 33px;
    background: transparent;
    border: 2px solid gold;
    color: goldenrod;
    font-weight: bold;
    letter-spacing: 3px;
    transition: 0.5s ease;
}
#messagebtn button:hover{
    background-color: black;
    color: white;
}

.login{
    width: 50%;
    margin: 20px;
    font-family: 'Roboto Slab', serif;
}
#side1{
    background-image: linear-gradient(black , goldenrod);
    height: 76vh;
    border-radius: 5px;
    box-shadow: rgba(100,100,111,0.2) 0px 7px 29px 0px;
}
#side1 h3{
    color: gold;
    font-weight: bold;
    text-shadow: 1px 1px 1px black;
    margin-top: 200px;
    align-items: center;
    text-align: center;
}
#side1 p{
    color: gold;    
    font-weight: bold;
    align-items: center;
    text-align: center;
}
#btn{
    align-items: center;
    text-align: center;
    border: 2px solid black;
    border-radius: 10px;
    
}
#btn a{
    text-decoration: none;
    color: gold;
}
#side2{
    background-image: linear-gradient(goldenrod , black);
    border-radius: 5px;
    box-shadow: rgba(100,100,111,0.2) 0px 7px 29px 0px;
    align-items: center;
    text-align: center;
}
#side2 h3{
    margin-top: 50px;
    color: black;
    font-weight: bold;
}
#side2 .inp{
    margin-top: 32px;
    
}
#side2 input{
    width: 500px;
    margin-top: 20px;
    height: 36px;
    align-items: center;
    background: none;
    
}
#side2 p{
    margin-top: 20px;
    cursor: pointer;
    color: #000;
}
#side2 .icons i{
    margin-left: 10px;
    cursor: pointer;
    color: #000;
}
#login{
    margin-top: 10px;
}
#login button{
    width: 200px;
    height: 32px;
    color: goldenrod;
    background-color: black;
    border: none;
    font-weight: bold;
}
@media screen and (max-width:992px){
    #side2 input{
        width: 300px;
    }
}
@media screen and (max-width:330x){
    #side2 input{
        width: 200px;
    }
}